(* ------------------------------------------------- *)
(*                   CHVER.PAS                       *)
(*    Globale nderung der DOS-Version via INT 60    *)
(*      (c) 1991 Jrgen Schlottke & DMV-Verlag       *)
(* ------------------------------------------------- *)
(*             Sprache: Turbo Pascal 6.0             *)
(* ------------------------------------------------- *)
PROGRAM ChangeVer;

{$S-}

USES Dos;

VAR
  Vec60                   : Pointer;
  Version, HiVers, LoVers : STRING;
  Count                   : INTEGER;
  Major, Minor            : BYTE;

  PROCEDURE Usage;
  BEGIN
    WriteLn('Syntax: CHVER <DosVersion>');
    Halt(1);
  END;

BEGIN
  IF ParamCount <> 1 THEN Usage;
  Version := ParamStr(1);
  Count   := Pos('.', Version);
  IF Count = 0 THEN Usage;

  HiVers := Copy(Version, 1, Count-1);
  LoVers := Copy(Version, Count+1, Length(Version));
  Val(HiVers, Major, Count);
  Val(LoVers, Minor, Count);

  Mem[0:$0240] := Major;   (* (IntVec 60)   *)
  Mem[0:$0241] := Minor;   (* (IntVec 60)+1 *)

  WriteLn('DOS-Version gendert!', #13, #10,
          '(c) Jrgen Schlottke & DMV-Verlag');
END.
(* ------------------------------------------------- *)
(*              Ende von ChVER.PAS                   *)

